import React, { ReactNode } from 'react';
import './index.css';
export declare type RatioInfo = {
    x: number;
    y: number;
};
export declare type Position = {
    left: number;
    top: number;
};
interface ScrollbarType {
    height?: string | number;
    maxHeight?: string | number;
    tag?: string;
    className?: string;
    style?: React.CSSProperties;
    viewTag?: string;
    viewClassName?: string;
    viewStyle?: React.CSSProperties;
    native?: boolean;
    always?: boolean;
    ratio?: RatioInfo;
    noresize?: boolean;
    xBarStyle?: React.CSSProperties;
    yBarStyle?: React.CSSProperties;
    xBarClassName?: string;
    yBarClassName?: string;
    xBarNode?: ReactNode;
    yBarNode?: ReactNode;
    onScroll?: (ratio: RatioInfo, postion: Position) => void;
    children?: ReactNode;
}
export declare const ScrollContainer: React.FC<ScrollbarType>;
export {};
